Update an SA form draft
curl --request PUT \
--url https://api.eka.care/protocol/workflow/sa-forms/drafts/{id} \
--header 'Content-Type: application/json' \
--header 'auth: <auth>' \
--data '
{
"name": "<string>",
"description": "<string>",
"score": {
"name": "<string>"
},
"questions": []
}
'import requests
url = "https://api.eka.care/protocol/workflow/sa-forms/drafts/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"score": { "name": "<string>" },
"questions": []
}
headers = {
"auth": "<auth>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {auth: '<auth>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
score: {name: '<string>'},
questions: []
})
};
fetch('https://api.eka.care/protocol/workflow/sa-forms/drafts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eka.care/protocol/workflow/sa-forms/drafts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'score' => [
'name' => '<string>'
],
'questions' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"auth: <auth>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eka.care/protocol/workflow/sa-forms/drafts/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"score\": {\n \"name\": \"<string>\"\n },\n \"questions\": []\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("auth", "<auth>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.eka.care/protocol/workflow/sa-forms/drafts/{id}")
.header("auth", "<auth>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"score\": {\n \"name\": \"<string>\"\n },\n \"questions\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eka.care/protocol/workflow/sa-forms/drafts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["auth"] = '<auth>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"score\": {\n \"name\": \"<string>\"\n },\n \"questions\": []\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"_id": "<string>",
"bid": "<string>",
"name": "<string>",
"description": "<string>",
"score": {
"name": "<string>"
},
"questions": [
{
"key": "<string>",
"kind": "number",
"label": "<string>",
"required": true,
"options": [
"<string>"
],
"show_when": {
"question": "<string>",
"op": "is",
"value": "<string>"
},
"scores": [
123
],
"rev": 123
}
],
"created_by": {
"oid": "<string>",
"name": "<string>",
"ps": "D",
"s": "<string>"
},
"updated_by": {
"oid": "<string>",
"name": "<string>",
"ps": "D",
"s": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}Drafts
Update an SA form draft
PUT
/
protocol
/
workflow
/
sa-forms
/
drafts
/
{id}
Update an SA form draft
curl --request PUT \
--url https://api.eka.care/protocol/workflow/sa-forms/drafts/{id} \
--header 'Content-Type: application/json' \
--header 'auth: <auth>' \
--data '
{
"name": "<string>",
"description": "<string>",
"score": {
"name": "<string>"
},
"questions": []
}
'import requests
url = "https://api.eka.care/protocol/workflow/sa-forms/drafts/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"score": { "name": "<string>" },
"questions": []
}
headers = {
"auth": "<auth>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {auth: '<auth>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
score: {name: '<string>'},
questions: []
})
};
fetch('https://api.eka.care/protocol/workflow/sa-forms/drafts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eka.care/protocol/workflow/sa-forms/drafts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'score' => [
'name' => '<string>'
],
'questions' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"auth: <auth>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eka.care/protocol/workflow/sa-forms/drafts/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"score\": {\n \"name\": \"<string>\"\n },\n \"questions\": []\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("auth", "<auth>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.eka.care/protocol/workflow/sa-forms/drafts/{id}")
.header("auth", "<auth>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"score\": {\n \"name\": \"<string>\"\n },\n \"questions\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eka.care/protocol/workflow/sa-forms/drafts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["auth"] = '<auth>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"score\": {\n \"name\": \"<string>\"\n },\n \"questions\": []\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"_id": "<string>",
"bid": "<string>",
"name": "<string>",
"description": "<string>",
"score": {
"name": "<string>"
},
"questions": [
{
"key": "<string>",
"kind": "number",
"label": "<string>",
"required": true,
"options": [
"<string>"
],
"show_when": {
"question": "<string>",
"op": "is",
"value": "<string>"
},
"scores": [
123
],
"rev": 123
}
],
"created_by": {
"oid": "<string>",
"name": "<string>",
"ps": "D",
"s": "<string>"
},
"updated_by": {
"oid": "<string>",
"name": "<string>",
"ps": "D",
"s": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}Headers
The access token. The gateway verifies it and passes the user and the business on.
Path Parameters
Pattern:
^sad_[a-z0-9]+_[a-f0-9]+$Body
application/json
Was this page helpful?

